Subject: FVWM: fvwm not present in window manager

From: Bulkan Evcimen <[email-masked]>
Date: Tue, 26 Oct 2004 14:57:42 +1000 (EST)

Hi,

I installed fvwm 2.4.19 on a mandrake 10, but i dont have an option
under the window manager box in KDM (the login manager). Do i need to
edit a file or something to get fvwm as an option for my window manager
?

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Michael White <[email-masked]>
Date: Tue, 26 Oct 2004 00:27:50 -0500

> edit a file or something to get fvwm as an option for my window manager

Yes, you do.  Unfortunately, it always seems to be a bit of a mess, with three 
or four different login windows installed, but only one used.  Trying to find 
the right combination of files to changes is a bit of a mess.  Here's the 
procedure I -think- I ended up going through for Mandrake 9.2.  My notes are 
about 90% complete.  First, I added a file in "/etc/X11/wmsession.d/" called 
"02Fvwm":

NAME=Fvwm
ICON=kde-wmsession.xpm
DESC=FVWM
EXEC /usr/local/bin/fvwm
SCRIPT:
exec /usr/local/bin/fvwm

Then I edited "/usr/share/config/kdm/kdmrc", and added "Fvwm" to the 
"SessionType" line.

You should be able to re-start X and have Fvwm show up as a possible desktop.

Look out for old "dm"s (e.g gdm) that sometimes hang around - I've had four or 
five going at once back in RH 8.0.  They wouldn't die on their own.

Good luck!
-- 
Michael White         "To protect people from the effects of folly is to
                       fill the world with fools." -Herbert Spencer, 1891